
%global meadversion 3.2.15
%global namedversion 3.2.15.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package jboss-vfs}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.2.15.Final-redhat-00001

Name:           %{?scl_prefix}jboss-vfs
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss VFS
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: jboss-vfs-3.2.15.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-vfs-3.2.15.Final-redhat-00001.pom
Source103: jboss-vfs-3.2.15.Final-redhat-00001.jar
Source104: jboss-vfs-3.2.15.Final-redhat-00001-javadoc.jar
Source105: jboss-vfs-3.2.15.Final-redhat-00001-sources.jar
%endif

URL:            http://www.jboss.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-vfs-%{namedversion}-%{release}-root

%description
JBoss VFS library.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-vfs
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
API documentation for jboss-vfs.
%endif

%prep
%setup -q -n jboss-vfs-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-vfs-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-vfs-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-vfs-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-vfs-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-vfs-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-vfs-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

# javadoc
%if %with javadoc
mkdir -p %{buildroot}%{_javadocdir}/jboss-vfs-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-vfs-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-vfs-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-vfs-%{namedversion} %{buildroot}%{_javadocdir}/jboss-vfs
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files -n %{?scl_prefix}jboss-vfs
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}*/jboss-vfs-%{namedversion}.jar
%{_javadir}*/jboss-vfs.jar
%{_javadir}*/jboss-vfs-%{namedversion}-sources.jar
%{_javadir}*/jboss-vfs-sources.jar
%if %with javadoc
%{_javadir}/jboss-vfs-%{namedversion}-javadoc.jar
%{_javadir}/jboss-vfs-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-vfs-%{namedversion}
%{_javadocdir}/jboss-vfs
%endif

%changelog
* Tue Mar 31 2020 Yong Yang <yyang@redhat.com> - 3.2.15-1.Final_redhat_00001.1
-  3.2.15.Final_redhat_00001

* Tue Aug 28 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.14-1.Final_redhat_00001.1
- upgrade to 3.2.14.Final-redhat-00001

* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 3.2.12-3.Final_redhat_1.1
- Rewrap for 7.2.0

* Fri Oct 13 2017 Permaine Cheung <pcheung@redhat.com> - 3.2.12-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Thu Aug 04 2016 Fernando Nasser <fnasser@redhat.com> - 3.2.12-1.Final_redhat_1.1
- Upgrade to 3.2.12.Final-redhat-1

* Mon Dec 07 2015 Hui Wang <huwang@redhat.com> - 3.2.11-1.Final_redhat_1.1
- Upgrade to 3.2.11.Final-redhat-1

* Thu Nov 26 2015 Fernando Nasser <fnasser@redhat.com> - 3.2.10-1.Final_redhat_1.1
- Wrap latest EAP6 build

* Thu Nov 26 2015 Fernando Nasser <fnasser@redhat.com> - 3.2.9-2.Final_redhat_2.1
- Wrap latest EAP6 build

* Sat Jul 04 2015 Hui Wang <huwang@redhat.com> - 3.2.9-1.Final_redhat_2.1
- Build for eap7

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.9-1.Final_redhat_1.1
- Upgrade to 3.2.9.Final

* Fri Nov 28 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.8-1.Final_redhat_1.1
- Upgrade to 3.2.8.Final

* Tue May 06 2014 Permaine Cheung <pcheung@redhat.com> - 3.2.5-1.Final_redhat_1.1
- 3.2.5.Final

* Thu Apr 10 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.4-1.Final_redhat_1.1
- Upgrade to 3.2.4.Final

* Mon Sep 23 2013 Hui Wang <huwang@redhat.com> - 0:3.2.2-1.Final_redhat_1
- Upgrade to 3.2.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-4.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:3.1.0-3.Final_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-2.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-2.Final_redhat_1.1
- Rebuild using cache signing

* Wed Jun 20 2012 Martha Benitez <mbenitez@redhat.com> - 0:3.1.0-2.Final_redhat_1
- Build in MEAD

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri Feb 17 2012 Hui Wang <huwang@redhat.com> 0:3.1.0-1.Final_redhat_1
- Upgrade to 3.1.0.Final

* Tue Feb 07 2012 David Walluck <dwalluck@redhat.com> 0:3.1.0-0.2
- put back jboss-test
- remove redundant jar name
- fix jar location (fixes unowned dir)
- fix repolib dir ownership

* Tue Feb 07 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-0.1.CR1_redhat_1.1
- Do not require jboss-parent at run-time

* Thu Feb 02 2012 Hui Wang <huwang@redhat.com> - 0:3.1.0-0.1.CR1_redhat_1
- Upgrade to 3.1.0.CR1

* Mon Aug 22 2011 Hui Wang <huwang@redhat.com> - 0:3.0.1-1.GA_redhat_1
- Upgrade to 3.0.1.GA
- Build for Werewolf

* Fri May 27 2011 Hui Wang <huwang@rdhat.com> 0:3.0.0-3.GA
- Rebuild

* Tue May 24 2011 Hui Wang <huwang@rdhat.com> 0:3.0.0-2.GA
- Rebuild

* Tue May 24 2011 Hui Wang <huwang@rdhat.com> 0:3.0.0-1.GA
- Upgrade to 3.0.0.GA
- Cleanup 

* Wed Apr 06 2011 David Walluck <dwalluck@redhat.com> 0:2.2.0-4.SP1.3
- don't Requires: junit
- remove codehaus-stax11 from jpp-depmap.xml (not even in BR)
- javadoc pkg Requires: jpackage-utils
- add corresponding Provides for Obsoletes
- use full version in jar and dir names

* Wed Mar 16 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-4.SP1.2
- Remove R maven2, jboss-test

* Fri Mar 11 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-4.SP1.1
- Fix Release number
- Recover spec file from previous version

* Tue Feb 15 2011 Hui Wang <huwang@redhat.com> - 0:2.2.0-2.SP1
- Add Obsoletes jboss-vfs
- Fix version in install section
- Add depmap entrance for qdox

* Sat Feb 12 2011 Hui Wang <huwang@redhat.com> - 0:2.2.0-1.SP1
- Update to 2.2.0.SP1
- Clearups

* Fri Jan 21 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-4
- Add patch to adjust jboss-parent version
- Change BR junit44 to junit4

* Fri Dec 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-3
- Build with maven 2.2.1
- Change BR maven release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site

* Fri Jul 09 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-2
- Add Obsoletes jboss-vfs
- Add BR codehaus-stax11-api, xerces-j2, xml-commons-jaxp-1.3-apis

* Wed Jun 02 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-1.1
- Add BR dtdparser, xml-commons-jaxp-1.3-apis

* Wed May 26 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-1
- Upgrade to 2.2.0.GA
- Add BR maven2-plugin-idea

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.3-3.1
- rebuilt

* Wed Apr 21 2010 Weinan Li <weli@redhat.com> 0:2.1.3-3
- Rebuild

* Wed Sep 23 2009 Fernando Nasser <fnasser@redhat.com> 0:2.1.3-2
- Rebuild with signing

* Tue Sep 22 2009 Martha Benitez <mbenitez@redhat.com> 0:2.1.3-1
- Upgrade to 2.1.3.SP1
- Add BR jboss-naming

* Thu Jun 18 2009 David Walluck <dwalluck@redhat.com> 0:2.1.2-2
- add repolib
- install symlink to upstream name

* Wed Jun 10 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.1.2-1.jpp5
- first release
